Skip to main content
GET
Flow per expiry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Response

The flow data per expiry for a trading day.

call_otm_premium
string

The sum of the premium of all the out the money (OTM) call transactions that executed.

Example:

"9908777.0"

call_otm_trades
integer

The amount of out the money (OTM) call transactions that executed.

Example:

6338

call_otm_volume
integer

The sum of the size of all the out the money (OTM) call transactions that executed.

Example:

40385

call_premium
string

The sum of the premium of all the call transactions that executed.

Example:

"9908777.0"

call_premium_ask_side
string

The sum of the premium of all the call transactions that executed on the ask side.

Example:

"5037703.0"

call_premium_bid_side
string

The sum of the premium of all the call transactions that executed on the bid side.

Example:

"4055973.0"

call_trades
integer

The amount of call transactions that executed.

Example:

6338

call_volume
integer

The sum of the size of all the call transactions that executed.

Example:

990943

call_volume_ask_side
integer

The sum of the size of all the call transactions that executed on the ask side.

Example:

417251

call_volume_bid_side
integer

The sum of the size of all the call transactions that executed on the bid side.

Example:

498271

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

expiry
string

The contract expiry date in ISO format.

Example:

"2023-12-22T00:00:00.000Z"

put_otm_premium
string

The sum of the premium of all the out the money (OTM) put transactions that executed.

Example:

"1204570.0"

put_otm_trades
integer

The amount of out the money (OTM) put transactions that executed.

Example:

4270

put_otm_volume
integer

The sum of the size of all the out the money (OTM) put transactions that executed.

Example:

12638

put_premium
string

The sum of the premium of all the put transactions that executed.

Example:

"163537151"

put_premium_ask_side
string

The sum of the premium of all the put transactions that executed on the ask side.

Example:

"799873.0"

put_premium_bid_side
string

The sum of the premium of all the put transactions that executed on the bid side.

Example:

"4055973.0"

put_trades
integer

The amount of put transactions that executed.

Example:

841

put_volume
integer

The sum of the size of all the put transactions that executed.

Example:

808326

put_volume_ask_side
integer

The sum of the size of all the put transactions that executed on the ask side.

Example:

431791

put_volume_bid_side
integer

The sum of the size of all the put transactions that executed on the bid side.

Example:

314160

ticker
string

The stock ticker.

Example:

"AAPL"

Last modified on September 29, 2026